Drill down
Used to generate a multi-level (tree view) report. Each level corresponds to a single dimension.
A request to the drilldown method returns one sublevel for the specified parent level. The parent level is specified in the parent_id parameter. To get data for the top level, send a request without the parent_id parameter.
To get data for nested levels, you must specify the path from the root. The path is formed from values of the id field for the dimension parameter. If the id field is omitted, specify the name field.
See an example with this request.
Request
GET
https://api-metrika.yandex.net/stat/v1/data/drilldown
Query parameters
|
Name |
Description |
|
ids |
Type: integer[] Comma-separated list of tag IDs. Example: |
|
metrics |
Type: string List of metrics separated by comma. Limit: 20 metrics per request. Example: |
|
accuracy |
Type: string Sample size for the report. Use it to control the sampling rate (the number of sessions used for calculating results). Example: `` |
|
callback |
Type: string Callback function that processes the API response. Example: `` |
|
date1 |
Type: string Start date of the sample period in YYYY-MM-DD format. You can also use the values: Default: Example: `` |
|
date2 |
Type: string End date of the sample period in YYYY-MM-DD format. You can also use the values: Default: Example: `` |
|
dimensions |
Type: string Comma-separated list of dimensions. Limit: 10 dimensions per request. Example: |
|
direct_client_logins |
Type: string[] Comma-separated usernames of Yandex Direct clients. Can be used for generating the Yandex Direct — costs report. Example: |
|
filters |
Type: string Segmentation filter. Limits: up to 10 unique dimensions and metrics; up to 20 separate filters; up to 10,000 characters per filter row; and up to 100 values per filtering criteria. Example: `` |
|
include_undefined |
Type: boolean The response will include rows that don't have defined dimension values. This only affects the first dimension. Disabled by default. |
|
lang |
Type: string Language. Example: `` |
|
limit |
Type: string Number of items on the results page. Limit: 100,000. Default: Example: `` |
|
offset |
Type: string Index of the first row of requested data, starting from 1. Default: Example: `` |
|
only_expandable_undefined |
Type: boolean Deletes unexpanded, undefined values from results. Use only when "include_undefined=true". |
|
parent_id |
Type: string[] Row for expanding further. Consists of a JSON list of keys. Example: `` |
|
preset |
Type: string Example: |
|
pretty |
Type: string Specifies the formatting for results. To use formatting, set the value to Default: Example: `` |
|
proposed_accuracy |
Type: boolean If the parameter is set to |
|
sort |
Type: string Comma-separated list of dimensions and metrics to use for sorting. By default, data is sorted in descending order (indicated by the Example: `` |
|
timezone |
Type: string Time zone in ±hh:mm format within the range of [-23:59; +23:59] (the plus sign should be denoted as Example: |
Responses
200 OK
OK
Body
application/json
{
"query": {
"timezone": "example",
"preset": "example",
"dimensions": [
"example"
],
"metrics": [
"example"
],
"sort": [
"example"
],
"date1": "example",
"date2": "example",
"filters": "example",
"limit": 0,
"offset": 0
},
"data": [
{
"dimension": {},
"metrics": [
0.5
],
"expand": true
}
],
"total_rows": 0,
"total_rows_rounded": true,
"sampled": true,
"contains_sensitive_data": true,
"sample_share": 0.5,
"sample_size": 0,
"sample_space": 0,
"data_lag": 0,
"totals": [
0.5
],
"min": [
0.5
],
"max": [
0.5
]
}
|
Name |
Description |
|
contains_sensitive_data |
Type: boolean Indicates whether sensitive data can be omitted from the response. Such data includes data calculated by Yandex algorithms: demographic data (gender, age, and other), login page addresses, search phrases, and robot information. If the value is |
|
data |
Type: DrillDownRow[] Example
|
|
data_lag |
Type: integer Delay in updating data, in seconds. |
|
max |
Type: number[] Example
|
|
min |
Type: number[] Example
|
|
query |
Type: QueryExternal Original request. Contains the request parameters, including detailed parameters from the template and parameters for attribute parametrization. Example
|
|
sample_share |
Type: number Share of data used for the calculation. Available value ranges from 0 to 1. |
|
sample_size |
Type: integer Number of rows in the data sample. |
|
sample_space |
Type: integer Number of data rows. |
|
sampled |
Type: boolean Sampling flag. Indicates whether sampling was applied. Possible values: |
|
total_rows |
Type: integer The total number of rows in the response for the entire dataset (after filtering). |
|
total_rows_rounded |
Type: boolean Indicates that the total number of rows was rounded. |
|
totals |
Type: number[] Example
|
QueryExternal
Original request. Contains the request parameters, including detailed parameters from the template and parameters for attribute parametrization.
|
Name |
Description |
|
date1 |
Type: string Start date of the sample period in YYYY-MM-DD format. Example: |
|
date2 |
Type: string End date of the sample period in YYYY-MM-DD format. Example: |
|
dimensions |
Type: string[] Example
|
|
filters |
Type: string Segmentation filter. Example: |
|
limit |
Type: integer Number of items on the results page. |
|
metrics |
Type: string[] Example
|
|
offset |
Type: integer Index of the first row of requested data, starting from 1. |
|
preset |
Type: string Report preset. Example: |
|
sort |
Type: string[] Example
|
|
timezone |
Type: string Time zone of the sample period in ±hh:mm format. Example: |
Example
{
"timezone": "example",
"preset": "example",
"dimensions": [
"example"
],
"metrics": [
"example"
],
"sort": [
"example"
],
"date1": "example",
"date2": "example",
"filters": "example",
"limit": 0,
"offset": 0
}
DrillDownRow
Response rows. An array in which each item is a single row of the result.
|
Name |
Description |
||
|
dimension |
Type: object
Dimension value for the specified level of the tree. For example, the second tree level is set (the Example
|
||
|
expand |
Type: boolean Indicates whether to expand this row to the next level of the tree. |
||
|
metrics |
Type: number[] Example
|
Example
{
"dimension": {},
"metrics": [
0.5
],
"expand": true
}